Subject: Re: [netmod] New version of netmod mount draft

From: Andy Bierman <[email-masked]>
Date: Wed, 2 Oct 2013 13:41:50 -0700

Hi,

I have read this draft and it does raise some issues that impact
the protocol and data models, namely -- how to manage more than
1 server at once.

IMO the NFS-like mount points do not address the important issue,
which is that NETCONF/YANG has no architecture or standard
solution for network-wide management of multiple NETCONF servers..

Using an aggregation point that has the individual config-lets from N
servers
patched into 1 container may not be the most appropriate abstraction for
network-wide
data models or a network controller entity.

I think confirmed-commit is supposed to be the answer to network-wide
configuration support in NETCONF, but it is not good enough. IMO it
would be better to have well-defined relationships between servers,
based on use-cases. (e.g, link-pair, cluster, network).

Andy

On Sun, Sep 22, 2013 at 2:09 AM, Alexander Clemm (alex) <[email-masked]>wrote:

> Hello,
>
> Just as an FYI, we have just posted a new revision of
> draft-clemm-netmod-mount.  The revisions are minor in nature and contain
> for the most part additional clarifications around the concept of attaching
> data from remote data stores into a local data stores and regarding how the
> mount points will be managed.  We hope to have a time slot in Vancouver for
> a brief presentation and discussion.
>
> Kind regards
> --- Alex, Jan, Eric
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Sunday, September 22, 2013 2:01 AM
> To: Alexander Clemm (alex); Eric Voit (evoit); Jan Medved (jmedved);
> Alexander Clemm (alex)
> Subject: New Version Notification for draft-clemm-netmod-mount-01.txt
>
>
> A new version of I-D, draft-clemm-netmod-mount-01.txt has been
> successfully submitted by Alexander Clemm and posted to the IETF repository.
>
> Filename:        draft-clemm-netmod-mount
> Revision:        01
> Title:           Mounting YANG-Defined Information from Remote Datastores
> Creation date:   2013-09-22
> Group:           Individual Submission
> Number of pages: 29
> URL:
> http://www.ietf.org/internet-drafts/draft-clemm-netmod-mount-01.txt
> Status:          http://datatracker.ietf.org/doc/draft-clemm-netmod-mount
> Htmlized:        http://tools.ietf.org/html/draft-clemm-netmod-mount-01
> Diff:
> http://www.ietf.org/rfcdiff?url2=draft-clemm-netmod-mount-01
>
> Abstract:
>    This document introduces a new capability that allows YANG datastores
>    to reference and incorporate information from remote datastores.
>    This is accomplished using a new YANG data model that allows to
>    define and manage datastore mount points that reference data nodes in
>    remote datastores.  The data model includes a set of YANG extensions
>    for the purposes of declaring such mount points.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>
> The IETF Secretariat
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>